package com.unis.base.server.dao;

import java.util.List;

import com.unis.base.common.vo.DCfxxsjyVO;
import com.unis.base.server.entity.DTankDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.base.common.vo.OiltankQueryVO;
import com.unis.base.common.vo.OiltankVO;
import com.unis.base.server.entity.DYgxxsjyDO;

import tk.mybatis.mapper.common.Mapper;

/**
 *
 * @ClassName: DYgxxsjyDao
 * @Description: DYgxxsjyDao
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22
 *
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DYgxxsjyDao extends Mapper<DYgxxsjyDO> {

	/**
	 * 根据信息获取仓房列表
	 * @param dYgxxsjyDO
	 * @return
	 */
	List<OiltankVO> getOiltankList(OiltankQueryVO oiltankQueryVO);


	DYgxxsjyDO getOiltank(@Param("ygbh")String ygbh);

	/**
	 * 更新仓房信息
	 * @param dYgxxsjyDO
	 * @return
	 */
	int update(DYgxxsjyDO dYgxxsjyDO);

	/**
	 * 获取最大仓房编号
	 * @param kddm
	 * @return
	 */
	String getMaxCodeById(@Param("kddm")String kddm);

	/**
	 * 添加仓房信息
	 * @return
	 */
	int insert(DYgxxsjyDO dYgxxsjyDO);

	/**
	 * 更新油罐申请状态（0 可编辑 1 不可编辑）
	 * @param ygbh
	 * @return
	 */
	void updateSqzt(@Param("ygbh")String ygbh,@Param("sqzt")String sqzt);

	List<DTankDO> selectTankList();

	void deleteAll();

	List<OiltankVO> getOiltankPages(OiltankQueryVO oiltankVO);

	List<DYgxxsjyDO> selectYgList(DCfxxsjyVO dCfxxsjyVO);

	DYgxxsjyDO getOilTankInfo(OiltankQueryVO oiltankQueryVO);

	List<DYgxxsjyDO> getOilTankInfoList(OiltankQueryVO oiltankQueryVO);

	String getMaxCode(@Param("kddm")String kddm,@Param("columnName")String columnName);

	Integer deleteById(@Param("id")String id);
}
